#
# Conditional build:
%bcond_without	static_libs	# static libraries build
%bcond_without	graphite2	# Graphite2 library usage
%bcond_without	icu		# ICU integration
%bcond_without	tests		# "make check" call

Summary:	HarfBuzz - internationalized text shaping library
Summary(pl.UTF-8):	HarfBuzz - biblioteka rysująca tekst z obsługą wielu języków
Name:		harfbuzz
Version:	0.9.41
Release:	2
License:	MIT
Group:		Libraries
Source0:	http://www.freedesktop.org/software/harfbuzz/release/%{name}-%{version}.tar.bz2
# Source0-md5:	a2966f1b6a470c2cd84eb511f924cf68
URL:		http://www.freedesktop.org/wiki/HarfBuzz
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	cairo-devel >= 1.8.0
BuildRequires:	freetype-devel >= 1:2.3.8
BuildRequires:	glib2-devel >= 1:2.16
BuildRequires:	gobject-introspection-devel >= 1.34.0
%{?with_graphite2:BuildRequires:	graphite2-devel}
BuildRequires:	gtk-doc >= 1.15
%{?with_icu:BuildRequires:	libicu-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	sed >= 4.0
Requires:	freetype >= 1:2.3.8
Requires:	glib2 >= 1:2.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Internationalized OpenType text layout and rendering library.

%description -l pl.UTF-8
Biblioteka rozmieszczająca i rysująca tekst z fontów OpenType,
obsługująca wiele języków.

%package devel
Summary:	Header files for HarfBuzz library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki HarfBuzz
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	freetype-devel >= 1:2.3.8
Requires:	glib2-devel >= 1:2.16
%{?with_graphite2:Requires:	graphite2-devel}
Requires:	libstdc++-devel

%description devel
Header files for HarfBuzz library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki HarfBuzz.

%package static
Summary:	Static HarfBuzz library
Summary(pl.UTF-8):	Statyczna biblioteka HarfBuzz
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static HarfBuzz library.

%description static -l pl.UTF-8
Statyczna biblioteka HarfBuzz.

%package gobject
Summary:	Harfbuzz GObject interface
Summary(pl.UTF-8):	Interfejs GObject do biblioteki Harfbuzz
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gobject
Harfbuzz GObject interface.

%description gobject -l pl.UTF-8
Interfejs GObject do biblioteki Harfbuzz.

%package gobject-devel
Summary:	Header files for Harfbuzz GObject interface
Summary(pl.UTF-8):	Pliki nagłówkowe interfejsu GObject do biblioteki Harfbuzz
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gobject = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.2

%description gobject-devel
This is the package containing the header files for Harfbuzz GObject
interface.

%description gobject-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe interfejsu GObject do biblioteki
Harfbuzz.

%package gobject-static
Summary:	Static Harfbuzz GObject library
Summary(pl.UTF-8):	Statyczna biblioteka Harfbuzz GObject
Group:		Development/Libraries
Requires:	%{name}-gobject-devel = %{version}-%{release}

%description gobject-static
Static Harfbuzz GObject library.

%description gobject-static -l pl.UTF-8
Statyczna biblioteka Harfbuzz GObject.

%package icu
Summary:	HarfBuzz text shaping library - ICU integration
Summary(pl.UTF-8):	Biblioteka HarfBuzz do rysowania tekstu - integracja z ICU
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description icu
HarfBuzz text shaping library - ICU integration.

%description icu -l pl.UTF-8
Biblioteka HarfBuzz do rysowania tekstu - integracja z ICU.

%package icu-devel
Summary:	Header file for HarfBuzz ICU library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki HarfBuzz ICU
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-icu = %{version}-%{release}
Requires:	libicu-devel

%description icu-devel
Header file for HarfBuzz ICU library.

%description icu-devel -l pl.UTF-8
Plik nagłówkowy biblioteki HarfBuzz ICU.

%package icu-static
Summary:	Static HarfBuzz ICU library
Summary(pl.UTF-8):	Biblioteka statyczna HarfBuzz ICU
Group:		Development/Libraries
Requires:	%{name}-icu-devel = %{version}-%{release}

%description icu-static
Static HarfBuzz ICU library.

%description icu-static -l pl.UTF-8
Biblioteka statyczna HarfBuzz ICU.

%package progs
Summary:	HarfBuzz command-line utilities
Summary(pl.UTF-8):	Narzędzia HarfBuzz uruchamiane z linii poleceń
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo >= 1.8.0

%description progs
HarfBuzz command-line utilities.

%description progs -l pl.UTF-8
Narzędzia HarfBuzz uruchamiane z linii poleceń.

%package apidocs
Summary:	HarfBuzz API documentation
Summary(pl.UTF-8):	Dokumentacja API bibliotek HarfBuzz
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for HarfBuzz libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek HarfBuzz.

%prep
%setup -q

# missing dependencies
cat >> src/harfbuzz.pc.in <<EOF
Requires.private: glib-2.0 freetype2%{?with_graphite2: graphite2}
EOF

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-cairo \
	--with-freetype \
	--with-glib \
	--with-gobject \
	%{?with_graphite2:--with-graphite2} \
	--with-html-dir=%{_gtkdocdir} \
	--with-icu%{!?with_icu:=no}
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	gobject -p /sbin/ldconfig
%postun	gobject -p /sbin/ldconfig

%post	icu -p /sbin/ldconfig
%postun	icu -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libharfbuzz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libharfbuzz.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz.so
%dir %{_includedir}/harfbuzz
%{_includedir}/harfbuzz/hb.h
%{_includedir}/harfbuzz/hb-blob.h
%{_includedir}/harfbuzz/hb-buffer.h
%{_includedir}/harfbuzz/hb-common.h
%{_includedir}/harfbuzz/hb-deprecated.h
%{_includedir}/harfbuzz/hb-face.h
%{_includedir}/harfbuzz/hb-font.h
%{_includedir}/harfbuzz/hb-ft.h
%{_includedir}/harfbuzz/hb-glib.h
%{?with_graphite2:%{_includedir}/harfbuzz/hb-graphite2.h}
%{_includedir}/harfbuzz/hb-ot-font.h
%{_includedir}/harfbuzz/hb-ot-layout.h
%{_includedir}/harfbuzz/hb-ot-shape.h
%{_includedir}/harfbuzz/hb-ot-tag.h
%{_includedir}/harfbuzz/hb-ot.h
%{_includedir}/harfbuzz/hb-set.h
%{_includedir}/harfbuzz/hb-shape-plan.h
%{_includedir}/harfbuzz/hb-shape.h
%{_includedir}/harfbuzz/hb-unicode.h
%{_includedir}/harfbuzz/hb-version.h
%{_pkgconfigdir}/harfbuzz.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libharfbuzz.a
%endif

%files gobject
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz-gobject.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libharfbuzz-gobject.so.0
%{_libdir}/girepository-1.0/HarfBuzz-0.0.typelib

%files gobject-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz-gobject.so
%{_includedir}/harfbuzz/hb-gobject.h
%{_includedir}/harfbuzz/hb-gobject-enums.h
%{_includedir}/harfbuzz/hb-gobject-structs.h
%{_pkgconfigdir}/harfbuzz-gobject.pc
%{_datadir}/gir-1.0/HarfBuzz-0.0.gir

%if %{with static_libs}
%files gobject-static
%defattr(644,root,root,755)
%{_libdir}/libharfbuzz-gobject.a
%endif

%if %{with icu}
%files icu
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz-icu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libharfbuzz-icu.so.0

%files icu-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libharfbuzz-icu.so
%{_includedir}/harfbuzz/hb-icu.h
%{_pkgconfigdir}/harfbuzz-icu.pc

%if %{with static_libs}
%files icu-static
%defattr(644,root,root,755)
%{_libdir}/libharfbuzz-icu.a
%endif
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hb-ot-shape-closure
%attr(755,root,root) %{_bindir}/hb-shape
%attr(755,root,root) %{_bindir}/hb-view

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/harfbuzz
%changelog
* Mon Jul 20 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/harfbuzz.git;a=log;h=master

* Mon Jul 20 2015 Marcin Krol <hawk@tld-linux.org> 98560c6
- release 2 (by relup.sh)

* Sun Jun 21 2015 Jakub Bogusz <qboosh@pld-linux.org> fa0c0f3
- updated to 0.9.41

* Mon Jun 08 2015 Jan Rękorajski <baggins@pld-linux.org> 74378c2
- release 2 (by relup.sh)

* Sat Mar 21 2015 Łukasz Kieś <kiesiu@pld-linux.org> 1dc1ad7
- updated to 0.9.40

* Thu Mar 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 92fa646
- up to 0.9.39

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> ff0b194
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jan 26 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2bd6a16
- up to 0.9.38

* Sat Dec 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 6275e75
- updated to 0.9.37 (fixes some OOB access)

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> f2827c5
- updated to 0.9.36

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6edfe36
- release 2 (by relup.sh)

* Thu Sep 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 2979e71
- freetype epoch

* Thu Aug 21 2014 Jakub Bogusz <qboosh@pld-linux.org> d83c11a
- updated to 0.9.35
- one test is missing required update in this version, added workaround

* Thu Aug 07 2014 Łukasz Kieś <kiesiu@pld-linux.org> d42cfc3
- updated to 0.9.34

* Sat Jul 26 2014 Jakub Bogusz <qboosh@pld-linux.org> a80546d
- updated to 0.9.33

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 6681ba5
- updated to 0.9.32

* Thu Jul 17 2014 Łukasz Kieś <kiesiu@pld-linux.org> 9c98524
- updated to 0.9.31

* Fri Jul 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 06cae74
- up to 0.9.30

* Sun Jun 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 3dadf2e
- updated to 0.9.29

* Sun May 18 2014 Jakub Bogusz <qboosh@pld-linux.org> b4123ce
- completed pl for new packages, unified packages and files order

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 214fe00
- split -progs to get cairo deps out of main package

